Package com.sun.jna.platform.win32

## Class WinNT.GROUP_AFFINITY

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.GROUP_AFFINITY

- Enclosing interface:
    WinNT

      @FieldOrder({"mask","group","reserved"})
      public static class WinNT.GROUP_AFFINITY
      extends Structure

  Represents a processor group-specific affinity, such as the affinity of a thread.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `short` | `group` | The processor group number.
    `BaseTSD.ULONG_PTR` | `mask` | A bitmap that specifies the affinity for zero or more processors within the specified group.
    `short[]` | `reserved` | This member is reserved.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GROUP_AFFINITY()` |
    `GROUP_AFFINITY​(Pointer memory)` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mask

          public BaseTSD.ULONG_PTR mask

      A bitmap that specifies the affinity for zero or more processors within the specified group.

    - #### group

          public short group

      The processor group number.

    - #### reserved

          public short[] reserved

      This member is reserved.

  - ### Constructor Detail

    - #### GROUP_AFFINITY

          public GROUP_AFFINITY​(Pointer memory)

    - #### GROUP_AFFINITY

          public GROUP_AFFINITY()